## entangle-media-popup

entangle-media-popup

## Functions

EntangleMediaPopup * | entangle_media_popup_new ()
void | entangle_media_popup_show ()
void | entangle_media_popup_move_to_monitor ()
void | entangle_media_popup_show_on_monitor ()
void | entangle_media_popup_set_media ()
EntangleMedia * | entangle_media_popup_get_media ()
void | entangle_media_popup_set_background ()
gchar * | entangle_media_popup_get_background ()

## Properties

EntangleMedia * | media | Read / Write

## Signals

void | popup-close | Run First

## Types and Values

#define | ENTANGLE_TYPE_MEDIA_POPUP
| EntangleMediaPopup

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── EntangleMediaPopup

## Implemented Interfaces

EntangleMediaPopup implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### entangle_media_popup_new ()

    EntangleMediaPopup *
    entangle_media_popup_new (void);

### entangle_media_popup_show ()

    void
    entangle_media_popup_show (EntangleMediaPopup *popup,
                               GtkWindow *parent,
                               int x,
                               int y);

### entangle_media_popup_move_to_monitor ()

    void
    entangle_media_popup_move_to_monitor (EntangleMediaPopup *popup,
                                          gint monitor);

### entangle_media_popup_show_on_monitor ()

    void
    entangle_media_popup_show_on_monitor (EntangleMediaPopup *popup,
                                          gint monitor);

### entangle_media_popup_set_media ()

    void
    entangle_media_popup_set_media (EntangleMediaPopup *popup,
                                    EntangleMedia *media);

Set the media to be displayed by the popup

#### Parameters

popup | the popup widget. | [transfer none]
media | the media to display, or NULL. | [transfer none][allow-none]

### entangle_media_popup_get_media ()

    EntangleMedia *
    entangle_media_popup_get_media (EntangleMediaPopup *popup);

Retrieve the media that the popup is currently displaying

#### Parameters

popup | the popup widget. | [transfer none]

#### Returns

the media displayed.

[transfer none]

### entangle_media_popup_set_background ()

    void
    entangle_media_popup_set_background (EntangleMediaPopup *popup,
                                         const gchar *background);

### entangle_media_popup_get_background ()

    gchar *
    entangle_media_popup_get_background (EntangleMediaPopup *popup);

## Types and Values

### ENTANGLE_TYPE_MEDIA_POPUP

    #define ENTANGLE_TYPE_MEDIA_POPUP (entangle_media_popup_get_type())

### EntangleMediaPopup

    typedef struct _EntangleMediaPopup EntangleMediaPopup;

## Property Details

### The `“media”` property

      “media”                    EntangleMedia *

Media to be displayed.

Owner: EntangleMediaPopup

Flags: Read / Write

## Signal Details

### The `“popup-close”` signal

    void
    user_function (EntangleMediaPopup *entanglemediapopup,
                   gpointer            user_data)

Flags: Run First